Subject: Re: DEBUG_LOCKS_WARN_ON triggered by bcm43xx-SoftMAC

From: Michael Buesch <[email-masked]>
Date: Wed, 16 Aug 2006 18:06:10 +0200

On Wednesday 16 August 2006 05:54, Larry Finger wrote:
> Using vanilla wireless-2.6 from Linville's tree as updated today, I
> get a warning generated by the statement
>          if (DEBUG_LOCKS_WARN_ON(!irqs_disabled()))
> in kernel.lockdep.c. This warning only occurs when my wireless
> interface is inserted and bcm43xx-softmac is activated. For that
> reason I have included the SoftMAC and bcm43xx messages.
> 
> kernel: SoftMAC: sent association request!
> kernel: SoftMAC: associated!
> kernel: bcm43xx: set security called, .active_key = 0, .level = 2,
> .enabled = 1, .encrypt = 1
> kernel: bcm43xx: set security called, .enabled = 1, .encrypt = 1
> kernel: BUG: warning at kernel/lockdep.c:1801/trace_hardirqs_on()
> kernel:  [<c0103da7>] show_trace_log_lvl+0x197/0x1c0
> kernel:  [<c01052db>] show_trace+0x1b/0x20
> kernel:  [<c0105306>] dump_stack+0x26/0x30
> kernel:  [<c013596f>] trace_hardirqs_on+0x17f/0x190
> kernel:  [<c0104a15>] do_general_protection+0xc5/0x230
> kernel:  [<c01034b1>] error_code+0x39/0x40
> kernel:  [<000038c7>] 0x38c7
> kernel:  [<c01052db>] show_trace+0x1b/0x20
> kernel:  [<c0105306>] dump_stack+0x26/0x30
> kernel:  [<c013596f>] trace_hardirqs_on+0x17f/0x190
> kernel:  [<c0104a15>] do_general_protection+0xc5/0x230
> kernel:  [<c01034b1>] error_code+0x39/0x40
> 
> I'm at a loss here. Can anyone explain how to interpret this dump? I
> think I see a general protection fault, but what to do from there is a
> mystery.

Hm, weird bug.
I can't reproduce this on i386 or PPC.
Could it be a bug in the lockdep code?

-- 
Greetings Michael.